"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = void 0;
const child_process_1 = require("child_process");
const chalk_1 = __importDefault(require("chalk"));
const debug = require('debug')('vite-plugin-rust:compiler');
function compile(wasmPack, crates, sync = false) {
    debug('Compile using wasm-pack at', wasmPack);
    for (let crate in crates) {
        let opt = crates[crate];
        let mode = '--dev';
        const cmd = `wasm-pack.exe build ${mode} --out-name ${opt.outName} --target web`;
        debug('Running subprocess with command: ', cmd);
        if (sync) {
            let ps = child_process_1.spawnSync(cmd, {
                shell: true,
                cwd: opt.path,
                encoding: 'utf-8',
                stdio: ['inherit', 'inherit', 'inherit'],
            });
            if (ps.status != 0) {
                throw chalk_1.default.red(`wasm-pack for crate ${crate} failed`);
            }
        }
    }
}
exports.compile = compile;
//# sourceMappingURL=compiler.js.map